UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

AR# 47087

AutoESL 2011.x: ModelSim and/or SystemC license

描述

当我尝试在 AutoESL 中进行 VHDL 或 Verilog 仿真时,收到了一条错误消息:我没有在ModelSim 中进行 SystemC 仿真的许可证。 

收到以下错误信息:

# Model Technology ModelSim PE sccom 6.6d compiler 2010.11 Nov 2 2010
# ** Error: (sccom-95) Your installation directory does not contain the appropriate GNU C++ compiler. Download and install the tarball from the ftp site (gcc-4.2.1-mingw32vc9.zip).
#
# ** Error: c:/mentor/modeltech_pe_6.6d/win32pe/sccom failed.
# Executing ONERROR command at macro ./autosim.modelsim.scr line 78
@E [SIM-1] *** AutoSim finished: FAIL ***

当执行:

"::AESL_AUTOSIM::auto_sim "$args" "
@I [LIC-101] Checked in features [ AUTOESL_FLOW AUTOESL_OPT AUTOESL_SC AUTOESL_XILINX ]

解决方案

出现这种情况的原因是:C 测试平台转化为 SystemC 测试平台,其反过来又需要通过 ModelSim 进行编译。

这个阶段没有 g++ 编译器。


要进行 SystemC 验证,ModelSim 需要根据错误消息安装单独的 GCC 编译器安装包。

不仅提供有如何在 ModelSim 安装指南下完成安装的说明,而且还提供了一些有关 Mentor Graphic 网站和 SystemC 验证应用指南的信息。 

 

但仍然需要一个特定的许可证。 

请联系 Mentor,获得支持 SystemC 的临时许可证。

 

附带应用指南。 

无论怎样,这些都是所有的 ModelSim 安装问题,不仅限于 AutoESL。

 

附件

文件名 文件大小 File Type
ModelSim SE Installation and Licensing Guide 242 KB PDF
SystemCVerif ApNote_4.pdf 405 KB PDF
AR# 47087
日期 03/13/2015
状态 Active
Type 综合文章
Tools
  • AutoESL
的页面